/**
 * WEBLAB: Service oriented integration platform for media mining and intelligence applications
 * 
 * Copyright (C) 2004 - 2012 Cassidian, an EADS company
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of
 * the GNU Lesser General Public License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA 02110-1301 USA
 */
package org.ow2.weblab.portlet;

public final class SearchPortletConstants {


	public static final String CONTENT_TYPE = "text/html; charset=utf-8";


	// param keys
	public static final String NORMAL_PAGE = "normal_page";


	public static final String MAXIMIZED_PAGE = "maximized_page";


	public static final String ERROR_PAGE = "error_page";


	public static final String EDIT_PAGE = "edit_page";


	public static final String SERVICE_URI = "search_service_uri";


	public static final String BUNDLE_NAME = "search_portlet";


	// actions
	public static final String ACTION_DO_SEARCH = "do_search";


	public static final String ACTION_GET_ADV_SEARCH = "get_advanced_search";


	public static final String ACTION_DO_ADV_SEARCH = "do_adv_search";


	public static final String ACTION_CHANGE_SERVICE_CONFIG = "change_service_config";


	public static final String ACTION_PUBLISH_QUERY = "publish_query";


	public static final String SEARCH_ACTION = "search";


	public static final String DEFAULT_SEARCH = "def_mess";


	public static final String NEXT_DOCUMENTS_ACTION = "nextDocuments";


	// reactions
	public static final String REACTION_QUERY = "query";


	public static final String REACTION_NEXT_DOCUMENTS = "sendNextDocuments";


	// inputs
	public static final String QUERY_INPUT = "queryInput";


	public static final String SUBMIT_INPUT = "submitInput";


	public static final String SERVICE_URI_INPUT = "service_uri_input";


	public static final String SEARCH_AND_KEYWORDS = "and_keywords";


	public static final String SEARCH_PHRASE_KEYWORDS = "phrase_keywords";


	public static final String SEARCH_OR_KEYWORDS = "or_keywords";


	public static final String SEARCH_NOT_KEYWORDS = "not_keywords";


	public static final String USER_LAST_SEARCH = "user_last_search";


	public static final String USER_SERVICE_CONF = "user_service_conf";


	public static final String SEARCH_ERROR = "searcher_error";


	// temp stuff
	public static final String PUBLISH_RESULT_ACTION = "publish_results";


	public static final String PUBLISH_QUERY_ACTION = "publish_query";


	public static final String LAST_TEXT_INPUT = "lastQueryText";
}
